4. Crear a transaction in MO (required before loan request)
Permite 4. Crear a transaction in MO (required before loan request). Consulta transacciones y movimientos registrados para productos de microfinanzas. La solicitud considera amount, product id, communication method y receiver según corresponda.
Path Parameters
- Type: stringuser
Id required
Headers
- Type: stringx
-api -key x-api-key de MO ya convertido a Base64. No enviar la clave cruda sk_....
- Type: stringx
-aggregator -id x-aggregator-id de MO correspondiente a la api key usada.
Body·
required
application/json
- Type: numberamountrequired
Amount for the transaction
- Type: stringproduct
_id requiredMO Product ID
- Type: stringcallback
_url Optional callback URL
- Type: stringcommunication
_method Communication method (default: email)
- Type: stringexternal
_id External ID reference
- Type: stringoffer
_id Optional MO Offer ID (para seguimiento local)
- Type: stringreceiver
Receiver identifier (default: user email)
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/mo/transactions/{userId}
curl '/api/mo/transactions/{userId}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"communication_method": "email",
"receiver": "cliente_empresa@gmail.com",
"amount": 500,
"callback_url": "https://api.zelify.com/v1/webhooks/mo/transactions",
"external_id": "ORDEN-10485",
"product_id": "7df80216-2f60-4e1f-a4f1-f40be0735e5c",
"offer_id": "0162deb0-e783-4746-bc10-79e4cabd11c4"
}'
{
"record": {
"id": "db2a6b22-c3a5-48fa-9b93-9d41d1a93b4a",
"status": "SUCCESS",
"created_at": "2026-06-24T20:00:00.000Z",
"updated_at": "2026-06-24T20:00:00.000Z"
},
"provider_response": {
"metadata": {
"timestamp": "2026-06-24T20:00:00.000Z",
"version": "2"
},
"data": [
{
"id": "uuid-from-mo"
}
],
"errors": []
}
}